/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#ifndef _ERL_MARSHALL_H
#define _ERL_MARSHALL_H
/* Copyright (C) 1996 Ericsson Telecom
 * Created: 11 May 1996 by tobbe@erix.ericsson.se 
 */

#ifdef __STDC__
extern ETERM *erl_decode(unsigned char*);
extern ETERM *erl_decode_buf(unsigned char**);
extern int erl_encode(ETERM*,unsigned char*t);
extern int erl_encode_buf(ETERM*,unsigned char**);
extern int erl_term_len(ETERM*);
extern unsigned char *erl_peek_ext(unsigned char*,int);
extern char erl_ext_type(unsigned char*);

extern int erl_ext_size(unsigned char*);
extern int erl_compare_ext(unsigned char*, unsigned char*);
int erl_verify_magic(unsigned char*);
#else
extern ETERM *erl_decode();
extern ETERM *erl_decode_buf();
extern int erl_encode();
extern int erl_term_len();
extern int erl_encode_buf();
extern unsigned char *erl_peek_ext();
extern char erl_ext_type();
extern int erl_ext_size();
extern int erl_compare_ext();
int erl_verify_magic();
#endif

#endif
